<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: Class List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Class List</h1>Here are the classes, structs, unions and interfaces with brief descriptions:<table>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1array_1_1Array.html">tiovx.array.Array</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1array_1_1Array.html" title="Array object (OpenVX equivalent = vx_array).">Array</a> object (OpenVX equivalent = vx_array) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1Bool.html">tiovx.enums.Bool</a></td><td class="indexvalue">Boolean type (OpenVX equivalent = vx_bool) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1Channel.html">tiovx.enums.Channel</a></td><td class="indexvalue">Image channel (OpenVX equivalent = vx_channel_e) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1context_1_1Context.html">tiovx.context.Context</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1context_1_1Context.html" title="Context object (OpenVX equivalent = vx_context).">Context</a> object (OpenVX equivalent = vx_context) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1convolution_1_1Convolution.html">tiovx.convolution.Convolution</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1convolution_1_1Convolution.html" title="Convolution object (OpenVX equivalent = vx_convolution).">Convolution</a> object (OpenVX equivalent = vx_convolution) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html">tiovx.enums.DfImage</a></td><td class="indexvalue">Image data format (OpenVX equivalent = vx_df_image) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1Direction.html">tiovx.enums.Direction</a></td><td class="indexvalue">Parameter direction (OpenVX equivalent = vx_direction_e) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1distribution_1_1Distribution.html">tiovx.distribution.Distribution</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1distribution_1_1Distribution.html" title="Distribution object (OpenVX equivalent = vx_distribution).">Distribution</a> object (OpenVX equivalent = vx_distribution) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1export__code_1_1ExportCode.html">tiovx.export_code.ExportCode</a></td><td class="indexvalue">Export objects from context to C source code </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1export__image_1_1ExportImage.html">tiovx.export_image.ExportImage</a></td><td class="indexvalue">Export objects from context to JPG image file </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1graph_1_1Graph.html">tiovx.graph.Graph</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1graph_1_1Graph.html" title="Graph object (OpenVX equivalent = vx_graph).">Graph</a> object (OpenVX equivalent = vx_graph) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1image_1_1Image.html">tiovx.image.Image</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage).">Image</a> object (OpenVX equivalent = vx_image, vxCreateImage) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1image_1_1ImageFromChannel.html">tiovx.image.ImageFromChannel</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage).">Image</a> from channel object (OpenVX equivalent = vx_image, vxCreateImageFromChannel) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1image_1_1ImageFromHandle.html">tiovx.image.ImageFromHandle</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage).">Image</a> from handle object (OpenVX equivalent = vx_image, vxCreateImageFromHandle) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1image_1_1ImagePatchAddress.html">tiovx.image.ImagePatchAddress</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage).">Image</a> patch object (OpenVX equivalent = vx_imagepatch_addressing_t) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1InterpolationType.html">tiovx.enums.InterpolationType</a></td><td class="indexvalue">Interpollation type (OpenVX equivalent = vx_interpolation_type_e) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1lut_1_1Lut.html">tiovx.lut.Lut</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1lut_1_1Lut.html" title="Lut object (OpenVX equivalent = vx_lut).">Lut</a> object (OpenVX equivalent = vx_lut) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1matrix_1_1Matrix.html">tiovx.matrix.Matrix</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1matrix_1_1Matrix.html" title="Matrix object (OpenVX equivalent = vx_matrix).">Matrix</a> object (OpenVX equivalent = vx_matrix) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1node_1_1Node.html">tiovx.node.Node</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1node_1_1Node.html" title="Node object (OpenVX equivalent = vx_node).">Node</a> object (OpenVX equivalent = vx_node) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1NonLinearFilter.html">tiovx.enums.NonLinearFilter</a></td><td class="indexvalue">Non linear filter type (OpenVX equivalent = vx_non_linear_filter_e) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1Norm.html">tiovx.enums.Norm</a></td><td class="indexvalue">Normalization type (OpenVX equivalent = vx_norm_type_e) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1objectarray_1_1ObjectArray.html">tiovx.objectarray.ObjectArray</a></td><td class="indexvalue">Object Array object (OpenVX equivalent = vx_object_array) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1ParamState.html">tiovx.enums.ParamState</a></td><td class="indexvalue">Parameter state (OpenVX equivalent = vx_parameter_state_e) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1Pattern.html">tiovx.enums.Pattern</a></td><td class="indexvalue">Matrix Patterns (OpenVX equivalent = vx_pattern_e) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1Policy.html">tiovx.enums.Policy</a></td><td class="indexvalue">Conversion <a class="el" href="classtiovx_1_1enums_1_1Policy.html" title="Conversion Policy (OpenVX equivalent = vx_convert_policy_e).">Policy</a> (OpenVX equivalent = vx_convert_policy_e) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1pyramid_1_1Pyramid.html">tiovx.pyramid.Pyramid</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1pyramid_1_1Pyramid.html" title="Pyramid object (OpenVX equivalent = vx_pyramid).">Pyramid</a> object (OpenVX equivalent = vx_pyramid) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1PyramidScale.html">tiovx.enums.PyramidScale</a></td><td class="indexvalue">Pyramid Scale (OpenVX equivalent = VX_SCALE_PYRAMID_xxx) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1remap_1_1Remap.html">tiovx.remap.Remap</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1remap_1_1Remap.html" title="Remap object (OpenVX equivalent = vx_remap).">Remap</a> object (OpenVX equivalent = vx_remap) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1scalar_1_1Scalar.html">tiovx.scalar.Scalar</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1scalar_1_1Scalar.html" title="Scalar object (OpenVX equivalent = vx_scalar).">Scalar</a> object (OpenVX equivalent = vx_scalar) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1Target.html">tiovx.enums.Target</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1enums_1_1Target.html" title="Target on which to execute a node (TIOVX equivalent = TIVX_TARGET_xxxx).">Target</a> on which to execute a node (TIOVX equivalent = TIVX_TARGET_xxxx) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1threshold_1_1Threshold.html">tiovx.threshold.Threshold</a></td><td class="indexvalue"><a class="el" href="classtiovx_1_1threshold_1_1Threshold.html" title="Threshold object (OpenVX equivalent = vx_threshold).">Threshold</a> object (OpenVX equivalent = vx_threshold) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1ThresholdType.html">tiovx.enums.ThresholdType</a></td><td class="indexvalue">Threshold <a class="el" href="classtiovx_1_1enums_1_1Type.html" title="Object/Data type (OpenVX equivalent = vx_type_e).">Type</a> (OpenVX equivalent = vx_threshold_type_e) </td></tr>
  <tr><td class="indexkey"><a class="el" href="classtiovx_1_1enums_1_1Type.html">tiovx.enums.Type</a></td><td class="indexvalue">Object/Data type (OpenVX equivalent = vx_type_e) </td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
